using System;
using System.Data;
using System.Configuration;
using System.Drawing;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Pdf.Shared;
using Syncfusion.Pdf;
using Syncfusion.HtmlConverter;

public partial class _Default : System.Web.UI.Page 
{
    private HtmlConverter m_converter;
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Convert();
    }
    private void ToPDF(System.Drawing.Image img)
    {
        PDFDocument doc = new PDFDocument();
        doc.Compression = CompressionLevel.NoCompression;

        IPDFGraphicState properties = doc.CreateGraphicState();
        properties.SplitImages = true;
        properties.BreakBehavior = AutoBreakBehavior.Cropping;

        if (img != null)
        {
            doc.LastPage.Margins.All = 0;
            SizeF dest = new SizeF();
            if (img.Width > doc.LastPage.DrawingWidth)
            {
                dest = new SizeF(doc.LastPage.DrawingWidth, -1);
            }
            else
            {
                dest = img.Size;
            }
            doc.LastPage.Graphics.DrawImage(PointF.Empty, img, dest, properties);

        }

        string path = "htmltopdf.pdf";
        doc.Save(path, Response, HttpReadType.Open);


    }

    private void Convert()
    {
        using (HtmlConverter html = new HtmlConverter())
        {
            m_converter = html;

            using (System.Drawing.Image bmp = html.ConvertToImage(txtUrl.Text, GetImageType()))
            {
                ToPDF(bmp);
            }



        }
    }

    private ImageType GetImageType()
    {
        return (chkImageType.Checked) ? ImageType.Metafile : ImageType.Bitmap;
    }

}
